# The source contains only binaries...
%define _use_internal_dependency_generator 0
# Disable stripping or the default.sfx will get trashed
%define __strip /bin/true
# Don't create a debuginfo package since it would be empty
%define debug_package %{nil}
# A different name
%define name2 rar

Summary:	The RAR Archiver
Name:		rar2
Version:	2.90
Release:	4%{?dist}
License:	Shareware
Group:		Applications/Archiving
Source0:	http://www.defsol.se/ftp/x3p/%{name2}lnx29.sfx
Source1:	%{name2}.1
URL:		http://www.rarsoft.com/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
RAR is a powerful tool which allows you to manage and control archive
files. The archive is usually a regular file, which name has a ".rar"
extension. This version is compatible with mplayer, transcode and dvdrip.

%prep
%setup -q -T -c
install -m755 %{SOURCE0} .
./rarlnx*.sfx -c- -cl
# Convert to utf8
%{_bindir}/iconv -f iso8859-1 -t utf8 rar/rar_site.txt -o rar/rar_site2.txt
mv rar/rar_site2.txt rar/rar_site.txt

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_bindir},%{_sysconfdir},%{_libdir},%{_mandir}/man1}
install -p -m0755 %{name2}/%{name2} %{buildroot}%{_bindir}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

# rar2 will look for fx in /etc, /usr/lib/ or /usr/local/lib,
# when creating sfx files.
# it is hard coded into the rar2 binary.
install -p -m0644 %{name2}/*.lst %{buildroot}%{_sysconfdir}
install -p -m0755 %{name2}/default.sfx %{buildroot}%{_libdir}/fx
install -p -m0755 %{name2}/dos.sfx %{buildroot}%{_libdir}/dos.sfx

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{name2}/*.{txt,diz}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%config(noreplace) %{_sysconfdir}/rarfiles.lst
%{_libdir}/dos.sfx
%{_libdir}/fx

%changelog

* Sun Mar 15 2009 Paulo Roma <roma@lcg.ufrj.br> 2.90-4
- Rebuilt for Fedora 10
- Changed description.
- Renamed binary to rar2.
- Put fx in the appropriate place.

* Wed Jun 27 2007 Paulo Roma <roma@lcg.ufrj.br> 2.90-3
- Rebuilt for Fedora 6
- Not compressing txt docs anymore.

* Sun Jul 30 2006 Paulo Roma <roma@lcg.ufrj.br> 2.90-2
- Rebuilt for Fedora 5

* Fri Apr 21 2006 Paulo Roma <roma@lcg.ufrj.br> 2.90-1
- Rebuilt for Fedora 4

* Tue Nov 20 2001 qboosh
- fixed man page install

* Mon Nov 19 2001 ankry
- added a man page from debian
- release 2

* Tue Oct 09 2001 kloczek
- spec adapted and some cosmetics.

* Mon Oct 08 2001 undefine
- upgrade to 2.90

* Thu Aug 23 2001 filon
- removed -s from install -s, stripping is done by rpm

* Fri Jan 12 2001 misiek
- 2.80 beta3

* Tue Aug 01 2000 baggins
- initial revision
